---
title: Change Plan
url: https://docs.vultr.com/products/storage/databases/kafka/management/settings/change-plan
description: Learn how to upgrade or downgrade your Vultr Managed Apache Kafka® instance plan to adjust resources based on your needs.
publish_date: 2024-10-16T12:45:28.284970Z
last_updated: 2026-05-26T20:37:42.747193Z
---

# How to Manage Plan for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to easily adjust their subscription to meet growing needs. Users can upgrade their plan with a few simple steps, ensuring they have access to additional resources and capabilities as their data streaming requirements evolve. This user-friendly interface facilitates seamless transitions between plans, enabling customers to scale their Kafka database efficiently while maintaining optimal performance.

Follow this guide to manage plan for Vultr Managed Apache Kafka® using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Settings**, and select **Change Plan**.
    1. Select a **Server Type**, a **Plan**, and number of **Brokers**. 
    1. Click **Save** to apply the changes.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to change the plan.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "plan" : "vultr-dbaas-business-3x-occ-so-2-200-4"     
            }'
        ```

        Visit the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Update the plan.

        ```console
        $ vultr-cli database update <database-id> \
        --plan vultr-dbaas-business-cc-1-55-2
        ```

        Run `vultr-cli database update --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration and locate the Managed Apache Kafka® resource.

    1. Update the `plan` argument of your existing Managed Apache Kafka® resource, then re-apply.

        ```terraform
        resource "vultr_database" "kafka" {
            label                   = "kafka-cluster-1"
            database_engine         = "kafka"
            database_engine_version = "3.7"
            region                  = "atl"
            plan                    = "vultr-dbaas-business-3x-occ-so-2-200-4" # Updated plan
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
